package io.gmss.fiscad.interfaces.decoupage;

import io.gmss.fiscad.entities.decoupage.SecteurDecoupage;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface SecteurDecoupageService {

    SecteurDecoupage createSecteurDecoupage(SecteurDecoupage secteurDecoupage) throws BadRequestException;

    SecteurDecoupage updateSecteurDecoupage(Long id, SecteurDecoupage secteurDecoupage) throws NotFoundException;

    void deleteSecteurDecoupage(Long id) throws NotFoundException;

    Page<SecteurDecoupage> getSecteurDecoupageList(Pageable pageable);

    List<SecteurDecoupage> getSecteurDecoupageList();

    Optional<SecteurDecoupage> getSecteurDecoupageById(Long id);
}